DS_EVENT_DISPATCH(3)

EXPERIMENTAL_FUNC
ds_event_dispatch - Dispatch a multi_array event.

SYNOPSIS
#include <karma_ds.h>

flag ds_event_dispatch

(multi_array *multi_desc, CONST char *domain, CONST char *name)

DESCRIPTION
Dispatch a multi_array event.

multi_desc
    The multi_array descriptor.

domain
    The domain from where the event was generated.

name
    The name of the event in its domain.

RETURN VALUE
TRUE if one of the callbacks quenched the further delivery of callbacks, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/